/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMTRAMITESATENDIDOS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmtramitesatendidos.findAll", query = "SELECT t FROM Tarmtramitesatendidos t"),
    @NamedQuery(name = "Tarmtramitesatendidos.findByCtramiteatendido", query = "SELECT t FROM Tarmtramitesatendidos t WHERE t.ctramiteatendido = :ctramiteatendido"),
    @NamedQuery(name = "Tarmtramitesatendidos.findByFecharegistro", query = "SELECT t FROM Tarmtramitesatendidos t WHERE t.fecharegistro = :fecharegistro"),
    @NamedQuery(name = "Tarmtramitesatendidos.findByFechaatencion", query = "SELECT t FROM Tarmtramitesatendidos t WHERE t.fechaatencion = :fechaatencion")})
public class Tarmtramitesatendidos implements Serializable {

    private static final long serialVersionUID = 1L;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Id
    @Basic(optional = false)
    @Column(name = "CTRAMITEATENDIDO")
    private BigDecimal ctramiteatendido;
    @Basic(optional = false)
    @Column(name = "FECHAREGISTRO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecharegistro;
    @Basic(optional = false)
    @Column(name = "FECHAATENCION")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fechaatencion;
    @JoinColumn(name = "CCENTROCONTROL", referencedColumnName = "CCENTROCONTROL")
    @ManyToOne(optional = false)
    private Tarmcentrocontrol ccentrocontrol;
    @JoinColumn(name = "CTRAMITE", referencedColumnName = "CTRAMITE")
    @ManyToOne(optional = false)
    private Tarmtramite ctramite;

    public Tarmtramitesatendidos() {
    }

    public Tarmtramitesatendidos(BigDecimal ctramiteatendido) {
        this.ctramiteatendido = ctramiteatendido;
    }

    public Tarmtramitesatendidos(BigDecimal ctramiteatendido, Date fecharegistro, Date fechaatencion) {
        this.ctramiteatendido = ctramiteatendido;
        this.fecharegistro = fecharegistro;
        this.fechaatencion = fechaatencion;
    }

    public BigDecimal getCtramiteatendido() {
        return ctramiteatendido;
    }

    public void setCtramiteatendido(BigDecimal ctramiteatendido) {
        this.ctramiteatendido = ctramiteatendido;
    }

    public Date getFecharegistro() {
        return fecharegistro;
    }

    public void setFecharegistro(Date fecharegistro) {
        this.fecharegistro = fecharegistro;
    }

    public Date getFechaatencion() {
        return fechaatencion;
    }

    public void setFechaatencion(Date fechaatencion) {
        this.fechaatencion = fechaatencion;
    }

    public Tarmcentrocontrol getCcentrocontrol() {
        return ccentrocontrol;
    }

    public void setCcentrocontrol(Tarmcentrocontrol ccentrocontrol) {
        this.ccentrocontrol = ccentrocontrol;
    }

    public Tarmtramite getCtramite() {
        return ctramite;
    }

    public void setCtramite(Tarmtramite ctramite) {
        this.ctramite = ctramite;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ctramiteatendido != null ? ctramiteatendido.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmtramitesatendidos)) {
            return false;
        }
        Tarmtramitesatendidos other = (Tarmtramitesatendidos) object;
        if ((this.ctramiteatendido == null && other.ctramiteatendido != null) || (this.ctramiteatendido != null && !this.ctramiteatendido.equals(other.ctramiteatendido))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmtramitesatendidos[ ctramiteatendido=" + ctramiteatendido + " ]";
    }
    
}
